> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/api-reference/security-testing-agent-apis/security-testing-orchestration/products.md).

# Products

Access Scan Tool information

## GET /api/v2/products

> List a collection of Scan Tools

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"Products","description":"Access Scan Tool information"}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"paths":{"/api/v2/products":{"get":{"tags":["Products"],"description":"List a collection of Scan Tools","operationId":"Products#ListProducts","parameters":[{"name":"accountId","in":"query","description":"Harness Account ID","allowEmptyValue":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"page","in":"query","description":"Page number to fetch (starting from 0)","allowEmptyValue":true,"schema":{"type":"integer","description":"Page number to fetch (starting from 0)","default":0,"format":"int64","minimum":0}},{"name":"pageSize","in":"query","description":"Number of results per page","allowEmptyValue":true,"schema":{"type":"integer","description":"Number of results per page","default":30,"format":"int64","minimum":1,"maximum":100}},{"name":"name","in":"query","description":"Resource name","allowEmptyValue":true,"schema":{"type":"string","description":"Resource name"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductsListProductsResponseBody"}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"404":{"description":"NotFound: Not Found response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}},"components":{"schemas":{"ProductsListProductsResponseBody":{"type":"object","properties":{"pagination":{"$ref":"#/components/schemas/Pagination"},"results":{"type":"array","items":{"$ref":"#/components/schemas/Product"}}},"required":["results","pagination"]},"Pagination":{"type":"object","properties":{"link":{"type":"string","description":"Link-based paging"},"page":{"type":"integer","description":"Page number (starting from 0)","format":"int64"},"pageSize":{"type":"integer","description":"Requested page size","format":"int64"},"totalItems":{"type":"integer","description":"Total results available","format":"int64"},"totalPages":{"type":"integer","description":"Total pages available","format":"int64"}},"required":["page","pageSize","totalPages","totalItems"]},"Product":{"type":"object","properties":{"created":{"type":"integer","description":"Unix timestamp at which the resource was created","format":"int64"},"description":{"type":"string","description":"Scan Tool's description"},"id":{"type":"string","description":"Resource identifier","pattern":"^[a-zA-Z0-9_-]{22}$"},"isEnabled":{"type":"boolean","description":"'true' if this Scan Tool is enabled for use"},"lastModified":{"type":"integer","description":"Unix timestamp at which the resource was most recently modified","format":"int64"},"name":{"type":"string","description":"Name of the Scan Tool"},"prettyName":{"type":"string","description":"Name of the Scan Tool"}},"description":"Information about a Scan Tool","required":["name","prettyName","description","isEnabled","id","created","lastModified"]},"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}}}
```

## GET /api/v2/products/{id}

> Find Scan Tool by ID

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"Products","description":"Access Scan Tool information"}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"paths":{"/api/v2/products/{id}":{"get":{"tags":["Products"],"description":"Find Scan Tool by ID","operationId":"Products#FindProductById","parameters":[{"name":"accountId","in":"query","description":"Harness Account ID","allowEmptyValue":true,"schema":{"type":"string","description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$"}},{"name":"id","in":"path","description":"The ID of the Scan Tool to retrieve","required":true,"schema":{"type":"string","description":"The ID of the Scan Tool to retrieve","pattern":"^[a-zA-Z0-9_-]{22}$"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Product"}}}},"400":{"description":"BadRequest: Bad Request response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"403":{"description":"Forbidden: Forbidden response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"404":{"description":"NotFound: Not Found response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"429":{"description":"TooManyRequests: Too Many Requests response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}},"components":{"schemas":{"Product":{"type":"object","properties":{"created":{"type":"integer","description":"Unix timestamp at which the resource was created","format":"int64"},"description":{"type":"string","description":"Scan Tool's description"},"id":{"type":"string","description":"Resource identifier","pattern":"^[a-zA-Z0-9_-]{22}$"},"isEnabled":{"type":"boolean","description":"'true' if this Scan Tool is enabled for use"},"lastModified":{"type":"integer","description":"Unix timestamp at which the resource was most recently modified","format":"int64"},"name":{"type":"string","description":"Name of the Scan Tool"},"prettyName":{"type":"string","description":"Name of the Scan Tool"}},"description":"Information about a Scan Tool","required":["name","prettyName","description","isEnabled","id","created","lastModified"]},"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}}}
```
